## net.sf.saxon.trans
Class Err

    java.lang.Object
      net.sf.saxon.trans.Err

    public class Err

extends java.lang.Object

Class containing utility methods for handling error messages

Field Summary
`static int` `ATTRIBUTE`
`static int` `ELEMENT`
`static int` `FUNCTION`
`static int` `GENERAL`
`static int` `URI`
`static int` `VALUE`
`static int` `VARIABLE`

Constructor Summary
`Err()`

Method Summary
`static java.lang.CharSequence` `depict(Item item)` Create a string representation of an item for use in an error message
`static java.lang.String` `wrap(java.lang.CharSequence cs)` Add delimiters to represent variable information within an error message
`static java.lang.String` `wrap(java.lang.CharSequence cs, int valueType)` Add delimiters to represent variable information within an error message

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ELEMENT

    public static final int ELEMENT

See Also:
  Constant Field Values

### ATTRIBUTE

    public static final int ATTRIBUTE

See Also:
  Constant Field Values

### FUNCTION

    public static final int FUNCTION

See Also:
  Constant Field Values

### VALUE

    public static final int VALUE

See Also:
  Constant Field Values

### VARIABLE

    public static final int VARIABLE

See Also:
  Constant Field Values

### GENERAL

    public static final int GENERAL

See Also:
  Constant Field Values

### URI

    public static final int URI

See Also:
  Constant Field Values

Constructor Detail

### Err

    public Err()

Method Detail

### wrap

    public static java.lang.String wrap(java.lang.CharSequence cs)

  Add delimiters to represent variable information within an error message

  Parameters:
    `cs` - the variable information to be delimited
  Returns:
    the delimited variable information

### wrap

    public static java.lang.String wrap(java.lang.CharSequence cs,
                                        int valueType)

  Add delimiters to represent variable information within an error message

  Parameters:
    `cs` - the variable information to be delimited
    `valueType` - the type of value, e.g. element name or attribute name
  Returns:
    the delimited variable information

### depict

    public static java.lang.CharSequence depict(Item item)

  Create a string representation of an item for use in an error message

Copyright (c) Saxonica Limited. All rights reserved.